summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Heinz Wiesinger <HMWiesinger@gmx.at>2010-05-11 22:53:14 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 22:53:14 +0200
commite5ed38612fc7827ac27066118ff52e4d75b79ea9 (patch)
treea0e4ad0cfafe9472e4dcb9992c0b1c36812ed073 /audio
parenta7d7b8d43498205f82064722efb151fb72504f13 (diff)
downloadslackbuilds-e5ed38612fc7827ac27066118ff52e4d75b79ea9.tar.gz
slackbuilds-e5ed38612fc7827ac27066118ff52e4d75b79ea9.tar.xz
audio/pulseaudio: Added to 12.1 repository
Diffstat (limited to 'audio')
-rw-r--r--audio/pulseaudio/README12
-rw-r--r--audio/pulseaudio/doinst.sh17
-rw-r--r--audio/pulseaudio/pulseaudio.SlackBuild100
-rw-r--r--audio/pulseaudio/pulseaudio.info8
-rw-r--r--audio/pulseaudio/slack-desc19
5 files changed, 156 insertions, 0 deletions
diff --git a/audio/pulseaudio/README b/audio/pulseaudio/README
new file mode 100644
index 0000000000..a7e36ca57a
--- /dev/null
+++ b/audio/pulseaudio/README
@@ -0,0 +1,12 @@
+pulseaudio is a networked sound server for Unix-like operating systems
+and Microsoft Windows. It is intended to be an improved drop-in replacement
+for the Enlightened Sound Daemon (ESOUND).
+
+Pulseaudio will need a pulse group/user to run. You can add one with
+ # groupadd -g 214 pulse
+ # useradd -u 214 -g pulse -d /var/lib/pulse pulse
+or something similar. See http://slackbuilds.org/uid_gid.txt
+
+Pulseaudio requires liboil, libatomic_ops, libsamplerate and libsndfile,
+and libcap. It will also make use of jack-audio-connection-kit. All of
+these dependencies are available at SlackBuilds.org.
diff --git a/audio/pulseaudio/doinst.sh b/audio/pulseaudio/doinst.sh
new file mode 100644
index 0000000000..ebf55579d2
--- /dev/null
+++ b/audio/pulseaudio/doinst.sh
@@ -0,0 +1,17 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/pulse/client.conf.new
+config etc/pulse/default.pa.new
+config etc/pulse/daemon.conf.new
+
diff --git a/audio/pulseaudio/pulseaudio.SlackBuild b/audio/pulseaudio/pulseaudio.SlackBuild
new file mode 100644
index 0000000000..f3d37cd74d
--- /dev/null
+++ b/audio/pulseaudio/pulseaudio.SlackBuild
@@ -0,0 +1,100 @@
+#!/bin/sh
+
+# Slackware build script for pulseaudio
+
+# Copyright 2008 Heinz Wiesinger <hmwiesinger@gmx.at>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=pulseaudio
+VERSION=0.9.10
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if ! grep ^pulse: /etc/group 2>&1 > /dev/null; then
+ echo " Must have a pulse group to run this script."
+ echo " # groupadd pulse"
+ echo " Or something similar."
+ exit 1
+elif ! grep ^pulse: /etc/passwd 2>&1 > /dev/null; then
+ echo " Must have a pulse user to run this script."
+ echo " # useradd -g pulse -d /var/lib/pulse pulse"
+ echo " Or something similar."
+ exit 1
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-static \
+ --with-system-user=pulse \
+ --with-system-group=pulse \
+ --with-realtime-group=realtime \
+ --with-access-group=pulse
+
+make
+make install-strip DESTDIR=$PKG
+
+mv $PKG/etc/pulse/client.conf $PKG/etc/pulse/client.conf.new
+mv $PKG/etc/pulse/default.pa $PKG/etc/pulse/default.pa.new
+mv $PKG/etc/pulse/daemon.conf $PKG/etc/pulse/daemon.conf.new
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog GPL LGPL LICENSE README todo \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/audio/pulseaudio/pulseaudio.info b/audio/pulseaudio/pulseaudio.info
new file mode 100644
index 0000000000..39ce8ba02b
--- /dev/null
+++ b/audio/pulseaudio/pulseaudio.info
@@ -0,0 +1,8 @@
+PRGNAM="pulseaudio"
+VERSION="0.9.10"
+HOMEPAGE="http://pulseaudio.org"
+DOWNLOAD="http://0pointer.de/lennart/projects/pulseaudio/pulseaudio-0.9.10.tar.gz"
+MD5SUM="9187ac1b302b9ab45f355242f453882e"
+MAINTAINER="ppr:kut"
+EMAIL="HMWiesinger@gmx.at"
+APPROVED="rworkman"
diff --git a/audio/pulseaudio/slack-desc b/audio/pulseaudio/slack-desc
new file mode 100644
index 0000000000..e1f2793871
--- /dev/null
+++ b/audio/pulseaudio/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------|
+pulseaudio: pulseaudio (Sound Server)
+pulseaudio:
+pulseaudio: pulseaudio is a networked sound server for Linux and other
+pulseaudio: Unix like operating systems and Microsoft Windows. It is
+pulseaudio: intended to be an improved drop-in replacement for the
+pulseaudio: Enlightened Sound Daemon (ESOUND).
+pulseaudio:
+pulseaudio: Homepage: http://pulseaudio.org
+pulseaudio:
+pulseaudio:
+pulseaudio: